org.eclipse.wst.jsdt.chromium.debug.core.util

## Class ProgressUtil

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.util.ProgressUtil

    public class ProgressUtil
    extends java.lang.Object

A small set of utility classes that help programming progress monitor logic.

### Nested Class Summary

Nested Classes
`static class` `ProgressUtil.MonitorWrapper` A small wrapper around the `IProgressMonitor` that keeps a default label -- the string to show when a current stage has no label of its own.
`static class` `ProgressUtil.Stage` Represents one stage of the whole process with a name and relative length called "weight".

### Constructor Summary

Constructors
Constructor and Description
`ProgressUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `layoutProgressPlan(ProgressUtil.Stage... stages)` From a list of all stages of some process calculates their tick numbers for `IProgressMonitor` according to their weights.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProgressUtil

    public ProgressUtil()

### Method Detail

#### layoutProgressPlan

    public static boolean layoutProgressPlan(ProgressUtil.Stage... stages)

From a list of all stages of some process calculates their tick numbers for `IProgressMonitor` according to their weights. The whole process should be `LAYOUT_TOTAL_STEPS` in ticks. Method has a return value so that it could be called from expressions (notably, constant initializer of an interface so that layout could be performed in initialization phase).

Returns:
  always true